#!/bin/bash

# This script assumes it is being run in a flexbotics-base-devel container, and that
# a volume is shared in /root/src with a .rosinstall.fat_image file available

# cd $(find . -type d -name flexbotics-fat-devel) && docker run -it -v $(pwd):/root/src/$(basename $(pwd)) tecnalia-robotics-docker.artifact.tecnalia.com/flexbotics-base-devel:kinetic bash -c "$(cat generate_package_list.bash)"

if [ -z "${ROS_DISTRO}" ]; then
    echo "ROS_DISTRO not defined, fallback to detect installed ROS version"
    if ! rosversion -d; then
        echo "rosversion not available"
        ROS_DISTRO=$(find /opt/ros/ -mindepth 1 -maxdepth 1 -type d -exec basename {} \;)
    else
        if ! [[ $(rosversion -d) = *unknown* ]]; then
            ROS_DISTRO=$(rosversion -d)
        else
            echo "rosversion reports unknown"
            ROS_DISTRO=$(find /opt/ros/ -mindepth 1 -maxdepth 1 -type d -exec basename {} \;)
        fi
    fi
fi

if [ -z "${ROS_DISTRO}" ]; then
    echo "ROS could not be detected"
    exit 1
fi

mkdir -p /root/ws/src
cd /root/ws || exit
ln -sf /root/src/* src
apt-get update
rosdep update
rosdep install --from-paths src --ignore-src --rosdistro "${ROS_DISTRO}" -r -y -s | grep 'apt-get install\|pip install' > /root/src/flexbotics-fat-devel/updated_bulk_install.sh
